
Foreman - Feature #7032

db backup tasks accept destination file

08/11/2014 08:16 PM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Database   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1679

  

Description

Currently our foreman-rake db:dump and db:import_dump tasks read and write to the root of wherever foreman is installed.  (

https://github.com/theforeman/theforeman.org/pull/245)

Users by default don't have access to /usr/share/foreman on a regular install made via foreman-installer.

A 'destination' argument that defaults to ~ would ensure users get a backup at a location they can write to.

Associated revisions

Revision 2b5b5645 - 12/05/2014 08:51 AM - Daniel Lobato Garcia

Fixes #7032 - Rake backup accepts destination file

Revision 20814dd8 - 12/05/2014 08:53 AM - Dominic Cleal

refs #7032 - fix documented backup filename

History

#1 - 08/11/2014 09:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1679 added

- Pull request deleted ()

#2 - 08/12/2014 03:27 AM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

#3 - 08/20/2014 06:51 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#4 - 09/10/2014 07:22 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#5 - 09/30/2014 10:54 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#6 - 12/05/2014 08:54 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#7 - 12/05/2014 09:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/theforeman.org/pull/245


Applied in changeset 2b5b56458a37115d2178620dc4136647543916a7.
